## r-cran-deoptim 2.2

=== DESCRIPTION ===
Package: DEoptim
Version: 2.2-8
Title: Global Optimization by Differential Evolution
Authors@R: c(person("David", "Ardia", role = c("aut"), email = "david.ardia.ch@gmail.com", comment = c(ORCID = "0000-0003-2823-782X")), 
             person("Katharine", "Mullen", role = c("aut", "cre"), email="mullenkate@gmail.com"), 
             person("Brian", "Peterson", role = "aut"), 
             person("Joshua", "Ulrich", role = "aut"), 
             person("Kris", "Boudt", role = "ctb"))
Description: Implements the Differential Evolution algorithm for global
    optimization of a real-valued function of a real-valued parameter
    vector as described in Mullen et al. (2011) <doi:10.18637/jss.v040.i06>.
Suggests: foreach, iterators, colorspace, lattice, parallelly
Depends: parallel
Imports: methods
BugReports: https://github.com/ArdiaD/DEoptim/issues
URL: https://github.com/ArdiaD/DEoptim
License: GPL (>= 2)
Repository: CRAN
Maintainer: Katharine Mullen <mullenkate@gmail.com>
NeedsCompilation: yes
Packaged: 2022-11-09 22:45:39 UTC; kmm-windog
Author: David Ardia [aut] (<https://orcid.org/0000-0003-2823-782X>),
  Katharine Mullen [aut, cre],
  Brian Peterson [aut],
  Joshua Ulrich [aut],
  Kris Boudt [ctb]
Date/Publication: 2022-11-11 18:10:09 UTC

## r-cran-deoptim 2.2-4

=== debian/changelog ===
r-cran-deoptim (2.2-4-1) unstable; urgency=medium

  * Initial release (closes: #932139)

 -- Andreas Tille <tille@debian.org>  Mon, 15 Jul 2019 21:56:17 +0200

=== debian/control ===
Source: r-cran-deoptim
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 12~),
               dh-r,
               r-base-dev
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-deoptim
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-deoptim.git
Homepage: https://cran.r-project.org/package=DEoptim

Package: r-cran-deoptim
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R global optimization by differential evolution
 This GNU R package implements the differential evolution algorithm for
 global optimization of a real-valued function of a real-valued parameter
 vector.

## r-cran-deoptim 2.2-5

=== debian/changelog ===
r-cran-deoptim (2.2-5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 12 (routine-update)
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 27 Feb 2020 11:19:55 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-deoptim
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-deoptim.git
 Homepage: https://cran.r-project.org/package=DEoptim

## r-cran-deoptim 2.2-6

=== debian/changelog ===
r-cran-deoptim (2.2-6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Thu, 16 Sep 2021 06:53:51 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,14 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-deoptim
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-deoptim.git
 Homepage: https://cran.r-project.org/package=DEoptim
+Rules-Requires-Root: no
 
 Package: r-cran-deoptim
 Architecture: any

## r-cran-deoptim 2.2-8

=== debian/changelog ===
r-cran-deoptim (2.2-8-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 16 Nov 2022 11:39:35 +0100

r-cran-deoptim (2.2-7-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 11 Nov 2022 07:27:05 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: r-cran-deoptim
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-deoptim
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-deoptim.git
+Homepage: https://cran.r-project.org/package=DEoptim
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-deoptim
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-deoptim.git
-Homepage: https://cran.r-project.org/package=DEoptim
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-deoptim
 Architecture: any

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/DEoptim_([-\d.]*)\.tar\.gz
